%global _empty_manifest_terminate_build 0
Name:           python-swiftclient
Version:        3.8.1
Release:        1
Summary:        OpenStack Object Storage API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-swiftclient/latest/
Source0:        https://files.pythonhosted.org/packages/d2/e1/d52639833fb7bd663911a9e8887a364f4ebd37a1e2fdff9a6e244ac6984a/python-swiftclient-3.8.1.tar.gz
BuildArch:      noarch
%description
This is a python client for the Swift API. There's a Python API
(the swiftclient module), and a command-line script (swift).

%package -n python3-swiftclient
Summary:        OpenStack Object Storage API Client Library
Provides:       python-swiftclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-keystoneclient
# General requires
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-keystoneclient
%description -n python3-swiftclient
This is a python client for the Swift API. There's a Python API
(the swiftclient module), and a command-line script (swift).

%package help
Summary:        OpenStack Object Storage API Client Library
Provides:       python3-swiftclient-doc
%description help
This is a python client for the Swift API. There's a Python API
(the swiftclient module), and a command-line script (swift).

%prep
%autosetup -n python-swiftclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-swiftclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 08 2021 OpenStack_SIG <openstack@openeuler.org> - 3.8.1-1
- Init package python3-swiftclient with version 3.8.1
